# norootforbuild

Name:           gtk-vector-screenshot
Summary:        Module to create vector screenshots of GTK3-based programs
Summary(de):    Modul zur Erstellung von Vector-Screenshots GTK3 basierender Programme
Version:        0.3.2
Release:        2.37
License: GPL-2.0
Group:          Productivity/Graphics/Other
URL:            http://www.joachim-breitner.de/projects#gtk-vector-screenshot
Source:         %{name}-%{version}.tar.gz
Patch0:         %{name}-linkfix.diff
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libs
BuildRequires:  gtk3
BuildRequires:  gtk3-devel
BuildRequires:  gtk2
BuildRequires:  gtk2-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  gcc
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Witth this GTK-module you can create screenshots from running GTK-3-programs
as vector graphic. You can scale it an mark and search texts inside. It suports
the formats PDF, SVG and PostScript.

%description -l de
Mit diesem GTK-Modul können Sie Screenshots von laufenden GTK-3-Anwendungen
als Vektor-Graphik erstellen, stufenlos scalierbar und mit markier- und
durchsuchbarem Text. Es unterstützt die Formate PDF, SVG und PostScript.

%prep
%setup
%patch0 -p1

%build
%{configure}
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}
%suse_update_desktop_file -r take-vector-screenshot Graphics VectorGraphics

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/take-vector-screenshot
%{_libdir}/gtk-2.0/modules/libgtk-vector-screenshot.la
%{_libdir}/gtk-2.0/modules/libgtk-vector-screenshot.so
%{_libdir}/gtk-3.0/modules/libgtk-vector-screenshot.la
%{_libdir}/gtk-3.0/modules/libgtk-vector-screenshot.so
%{_datadir}/applications/take-vector-screenshot.desktop

%changelog
* Sun Dec 18 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.3.2-0.pm.0
- initial release
